package com.demo.entity.po;

import com.alibaba.fastjson.JSONObject;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

@Document(collection = "DeviceInfo")
public class DeviceInfo {

    private String os;
    private JSONObject info;
    private String reyunId;
    private Long timestamp;

    public DeviceInfo() {
    }

    public DeviceInfo(String os, JSONObject info, String reyunId) {
        this.os = os;
        this.info = info;
        this.reyunId = reyunId;
        timestamp = new Date().getTime();
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }

    public JSONObject getInfo() {
        return info;
    }

    public void setInfo(JSONObject info) {
        this.info = info;
    }

    public String getReyunId() {
        return reyunId;
    }

    public void setReyunId(String reyunId) {
        this.reyunId = reyunId;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamps) {
        this.timestamp = timestamps;
    }
}
